# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 学习项目

### 查询学习项目列表

**请求URL:** project/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询学习项目

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
title|String|否|标题,字段前后添加%%模糊查询
projectType|Integer|否|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
createUserId|Long|否|创建用户

**请求样例:**
```
  {
        "title":"s8f454",
        "projectType":3203,
        "createUserId":2252,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;title|String|标题
&emsp;&emsp;projectType|Integer|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
&emsp;&emsp;projectStartTime|Date|开始时间
&emsp;&emsp;projectEndTime|Date|结束时间
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;readRequest|Integer|已读要求(0. 学员进入学习项目详情即标记为已读)
&emsp;&emsp;studyContent|String|学习内容
&emsp;&emsp;filePath|String|文件路径
&emsp;&emsp;fileName|String|文件名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;projectType|object|字典属性对象，详见附录
&emsp;top|object|字典属性对象，详见附录
&emsp;readRequest|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看学习项目

**请求URL:** project/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看学习项目，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/project/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;title|String|标题
&emsp;projectType|Integer|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
&emsp;projectStartTime|Date|开始时间
&emsp;projectEndTime|Date|结束时间
&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;readRequest|Integer|已读要求(0. 学员进入学习项目详情即标记为已读)
&emsp;studyContent|String|学习内容
&emsp;filePath|String|文件路径
&emsp;fileName|String|文件名称
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;projectType|object|字典属性对象，详见附录
&emsp;top|object|字典属性对象，详见附录
&emsp;readRequest|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2940,
            "title":"wq2vgg",
            "projectType":5109,
            "projectStartTime":"2023-05-27",
            "projectEndTime":"2023-05-27",
            "top":8438,
            "readRequest":1701,
            "studyContent":"78nqxc",
            "filePath":"8tu27l",
            "fileName":"liwkxl",
            "remark":"gdu6s8",
            "createUserId":4572,
            "createTime":"2023-05-27",
            "updateUserId":5207,
            "updateTime":"2023-05-27"
        }
}
```

### 保存更新学习项目

**请求URL:** project/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新学习项目：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
title|String|是|标题
projectType|Integer|否|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
projectStartTime|Date|是|开始时间
projectEndTime|Date|是|结束时间
top|Integer|是|是否置顶(0.否，1.是)
readRequest|Integer|是|已读要求(0. 学员进入学习项目详情即标记为已读)
studyContent|String|否|学习内容
filePath|String|否|文件路径
fileName|String|否|文件名称
remark|String|否|备注

**请求样例:**
```
{
    "title":"u7oldo",
    "projectType":4681,
    "projectStartTime":"2023-05-27",
    "projectEndTime":"2023-05-27",
    "top":3204,
    "readRequest":1724,
    "studyContent":"u7p1qo",
    "filePath":"9fmq54",
    "fileName":"o5vi3r",
    "remark":"nmezgj",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;title|String|标题
&emsp;&emsp;projectType|Integer|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
&emsp;&emsp;projectStartTime|Date|开始时间
&emsp;&emsp;projectEndTime|Date|结束时间
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;readRequest|Integer|已读要求(0. 学员进入学习项目详情即标记为已读)
&emsp;&emsp;studyContent|String|学习内容
&emsp;&emsp;filePath|String|文件路径
&emsp;&emsp;fileName|String|文件名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除学习项目

**请求URL:** project/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除学习项目

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/project/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 项目学习人员

### 查询项目学习人员列表

**请求URL:** project/study/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询项目学习人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
title|String|否|项目名称,字段前后添加%%模糊查询
studyStatus|Integer|否|学习状态(0.未学习,1.已学习)
createUserId|Long|否|创建用户

**请求样例:**
```
  {
        "title":"5zl6qr",
        "studyStatus":5982,
        "createUserId":9178,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;projectId|Long|项目id
&emsp;&emsp;projectType|Integer|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
&emsp;&emsp;title|String|项目名称
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;studyStatus|Integer|学习状态(0.未学习,1.已学习)
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;studyTime|Date|学习时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;projectType|object|字典属性对象，详见附录
&emsp;studyStatus|object|字典属性对象，详见附录
&emsp;top|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看项目学习人员

**请求URL:** project/study/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看项目学习人员，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/project/study/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;projectId|Long|项目id
&emsp;projectType|Integer|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
&emsp;title|String|项目名称
&emsp;userId|Long|用户id
&emsp;userName|String|用户名称
&emsp;deptName|String|所属部门
&emsp;studyStatus|Integer|学习状态(0.未学习,1.已学习)
&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;studyTime|Date|学习时间
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;projectType|object|字典属性对象，详见附录
&emsp;studyStatus|object|字典属性对象，详见附录
&emsp;top|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":735,
            "projectId":1840,
            "projectType":6462,
            "title":"s05lu4",
            "userId":3977,
            "userName":"ytffc5",
            "deptName":"cla1tv",
            "studyStatus":6303,
            "top":7109,
            "studyTime":"2023-05-27",
            "remark":"c83vco",
            "createUserId":422,
            "createTime":"2023-05-27",
            "updateUserId":8577,
            "updateTime":"2023-05-27"
        }
}
```

### 保存更新项目学习人员

**请求URL:** project/study/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新项目学习人员：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
projectId|Long|否|项目id
projectType|Integer|否|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
title|String|是|项目名称
userId|Long|否|用户id
userName|String|是|用户名称
deptName|String|是|所属部门
studyStatus|Integer|是|学习状态(0.未学习,1.已学习)
top|Integer|是|是否置顶(0.否，1.是)
studyTime|Date|是|学习时间
remark|String|否|备注

**请求样例:**
```
{
    "projectId":7686,
    "projectType":2243,
    "title":"4hxcgb",
    "userId":4204,
    "userName":"eoaje1",
    "deptName":"8lcyg8",
    "studyStatus":8898,
    "top":9272,
    "studyTime":"2023-05-27",
    "remark":"nou78x",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;projectId|Long|项目id
&emsp;&emsp;projectType|Integer|项目类型(0.法律法规,1.业务知识,2.行业知识,3.通用知识)
&emsp;&emsp;title|String|项目名称
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;studyStatus|Integer|学习状态(0.未学习,1.已学习)
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;studyTime|Date|学习时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除项目学习人员

**请求URL:** project/study/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除项目学习人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/project/study/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 学习公告

### 查询学习公告列表

**请求URL:** notice/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询学习公告

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
title|String|否|标题,字段前后添加%%模糊查询
createUserId|Long|否|创建用户

**请求样例:**
```
  {
        "title":"t75omf",
        "createUserId":7112,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;title|String|标题
&emsp;&emsp;noticeType|Integer|公告类型(0.通知,1.公告)
&emsp;&emsp;pubDeptId|Long|发布部门id
&emsp;&emsp;pubDeptName|String|发布部门名称
&emsp;&emsp;viewPersion|Integer|查看人员(0.全部学员，1.部分学员)
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;readRequest|Integer|已读要求(0. 学员进入公告详情即标记为已读)
&emsp;&emsp;noticeContent|String|公告内容
&emsp;&emsp;filePath|String|公告文件路径
&emsp;&emsp;fileName|String|公告文件名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;noticeType|object|字典属性对象，详见附录
&emsp;viewPersion|object|字典属性对象，详见附录
&emsp;top|object|字典属性对象，详见附录
&emsp;readRequest|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看学习公告

**请求URL:** notice/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看学习公告，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/notice/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;title|String|标题
&emsp;noticeType|Integer|公告类型(0.通知,1.公告)
&emsp;pubDeptId|Long|发布部门id
&emsp;pubDeptName|String|发布部门名称
&emsp;viewPersion|Integer|查看人员(0.全部学员，1.部分学员)
&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;readRequest|Integer|已读要求(0. 学员进入公告详情即标记为已读)
&emsp;noticeContent|String|公告内容
&emsp;filePath|String|公告文件路径
&emsp;fileName|String|公告文件名称
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;noticeType|object|字典属性对象，详见附录
&emsp;viewPersion|object|字典属性对象，详见附录
&emsp;top|object|字典属性对象，详见附录
&emsp;readRequest|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6730,
            "title":"jfbifw",
            "noticeType":7899,
            "pubDeptId":9043,
            "pubDeptName":"eun5uq",
            "viewPersion":3390,
            "top":9397,
            "readRequest":8257,
            "noticeContent":"izuny4",
            "filePath":"9ymp7l",
            "fileName":"fudb3j",
            "remark":"2fhsw6",
            "createUserId":9065,
            "createTime":"2023-05-27",
            "updateUserId":8405,
            "updateTime":"2023-05-27"
        }
}
```

### 保存更新学习公告

**请求URL:** notice/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新学习公告：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
title|String|是|标题
noticeType|Integer|否|公告类型(0.通知,1.公告)
pubDeptId|Long|否|发布部门id
pubDeptName|String|否|发布部门名称
viewPersion|Integer|是|查看人员(0.全部学员，1.部分学员)
top|Integer|是|是否置顶(0.否，1.是)
readRequest|Integer|是|已读要求(0. 学员进入公告详情即标记为已读)
noticeContent|String|否|公告内容
filePath|String|否|公告文件路径
fileName|String|否|公告文件名称
remark|String|否|备注

**请求样例:**
```
{
    "title":"378cxp",
    "noticeType":3354,
    "pubDeptId":5662,
    "pubDeptName":"kxre2p",
    "viewPersion":571,
    "top":5623,
    "readRequest":4282,
    "noticeContent":"cgd6ri",
    "filePath":"xiep5o",
    "fileName":"qu3tux",
    "remark":"kyecpp",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;title|String|标题
&emsp;&emsp;noticeType|Integer|公告类型(0.通知,1.公告)
&emsp;&emsp;pubDeptId|Long|发布部门id
&emsp;&emsp;pubDeptName|String|发布部门名称
&emsp;&emsp;viewPersion|Integer|查看人员(0.全部学员，1.部分学员)
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;readRequest|Integer|已读要求(0. 学员进入公告详情即标记为已读)
&emsp;&emsp;noticeContent|String|公告内容
&emsp;&emsp;filePath|String|公告文件路径
&emsp;&emsp;fileName|String|公告文件名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除学习公告

**请求URL:** notice/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除学习公告

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/notice/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 公告学习人员

### 查询公告学习人员列表

**请求URL:** notice/study/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询公告学习人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
noticeStatus|Integer|否|状态(0.未读,1.已读)
createUserId|Long|否|创建用户

**请求样例:**
```
  {
        "noticeStatus":1479,
        "createUserId":5709,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;noticeId|Long|公告id
&emsp;&emsp;noticetType|Integer|公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
&emsp;&emsp;title|String|公告标题
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;noticeStatus|Integer|状态(0.未读,1.已读)
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;viewTime|Date|查看时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;noticetType|object|字典属性对象，详见附录
&emsp;noticeStatus|object|字典属性对象，详见附录
&emsp;top|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看公告学习人员

**请求URL:** notice/study/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看公告学习人员，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/notice/study/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;noticeId|Long|公告id
&emsp;noticetType|Integer|公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
&emsp;title|String|公告标题
&emsp;userId|Long|用户id
&emsp;userName|String|用户名称
&emsp;deptName|String|所属部门
&emsp;noticeStatus|Integer|状态(0.未读,1.已读)
&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;viewTime|Date|查看时间
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;noticetType|object|字典属性对象，详见附录
&emsp;noticeStatus|object|字典属性对象，详见附录
&emsp;top|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":988,
            "noticeId":4648,
            "noticetType":5979,
            "title":"b2evk4",
            "userId":6082,
            "userName":"rfwrhv",
            "deptName":"e2wt97",
            "noticeStatus":29,
            "top":2514,
            "viewTime":"2023-05-27",
            "remark":"blxanc",
            "createUserId":1772,
            "createTime":"2023-05-27",
            "updateUserId":4898,
            "updateTime":"2023-05-27"
        }
}
```

### 保存更新公告学习人员

**请求URL:** notice/study/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新公告学习人员：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
noticeId|Long|否|公告id
noticetType|Integer|否|公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
title|String|是|公告标题
userId|Long|否|用户id
userName|String|是|用户名称
deptName|String|是|所属部门
noticeStatus|Integer|是|状态(0.未读,1.已读)
top|Integer|是|是否置顶(0.否，1.是)
viewTime|Date|是|查看时间
remark|String|否|备注

**请求样例:**
```
{
    "noticeId":6225,
    "noticetType":1658,
    "title":"qn8xfv",
    "userId":186,
    "userName":"0wgtqf",
    "deptName":"4gg7mm",
    "noticeStatus":8281,
    "top":2641,
    "viewTime":"2023-05-27",
    "remark":"vfxg6k",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;noticeId|Long|公告id
&emsp;&emsp;noticetType|Integer|公告类型(0.通知,1.公告,2.行业知识,3.通用知识)
&emsp;&emsp;title|String|公告标题
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;deptName|String|所属部门
&emsp;&emsp;noticeStatus|Integer|状态(0.未读,1.已读)
&emsp;&emsp;top|Integer|是否置顶(0.否，1.是)
&emsp;&emsp;viewTime|Date|查看时间
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除公告学习人员

**请求URL:** notice/study/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除公告学习人员

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/notice/study/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 部门信息

### 查询部门信息列表

**请求URL:** dept/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询部门信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
deptStatus|Integer|否|部门状态(0.停用,1.启用)
orderNum|Integer|否|顺序
createUserId|Long|否|创建用户

**请求样例:**
```
  {
        "deptStatus":7417,
        "orderNum":9028,
        "createUserId":222,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;parentId|Long|父id
&emsp;&emsp;ancestors|String|祖级列表
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;deptStatus|Integer|部门状态(0.停用,1.启用)
&emsp;&emsp;orderNum|Integer|顺序
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;deptStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看部门信息

**请求URL:** dept/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看部门信息，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/dept/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|主键ID，主键，自增长
&emsp;parentId|Long|父id
&emsp;ancestors|String|祖级列表
&emsp;deptName|String|部门名称
&emsp;deptStatus|Integer|部门状态(0.停用,1.启用)
&emsp;orderNum|Integer|顺序
&emsp;remark|String|备注
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象
&emsp;deptStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6131,
            "parentId":1520,
            "ancestors":"vt0zrx",
            "deptName":"r8dzz3",
            "deptStatus":4829,
            "orderNum":4592,
            "remark":"hziqeu",
            "createUserId":3126,
            "createTime":"2023-05-27",
            "updateUserId":9297,
            "updateTime":"2023-05-27"
        }
}
```

### 保存更新部门信息

**请求URL:** dept/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新部门信息：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
parentId|Long|否|父id
ancestors|String|是|祖级列表
deptName|String|是|部门名称
deptStatus|Integer|是|部门状态(0.停用,1.启用)
orderNum|Integer|是|顺序
remark|String|否|备注

**请求样例:**
```
{
    "parentId":6822,
    "ancestors":"zo1ieq",
    "deptName":"vfh1y7",
    "deptStatus":7572,
    "orderNum":843,
    "remark":"grueu0",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|主键ID，主键，自增长
&emsp;&emsp;parentId|Long|父id
&emsp;&emsp;ancestors|String|祖级列表
&emsp;&emsp;deptName|String|部门名称
&emsp;&emsp;deptStatus|Integer|部门状态(0.停用,1.启用)
&emsp;&emsp;orderNum|Integer|顺序
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除部门信息

**请求URL:** dept/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除部门信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/dept/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 学习统计

### 查询学习统计列表

**请求URL:** study/stat/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询学习统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
siteId|Long|否|站点Id，来源基础服务平台
projectTotalCount|Integer|否|题目总数
projectAddCount|Integer|否|昨日新增项目数量
unStudyPersonCount|Integer|否|未学习人数数量
unStudyPersonRatio|BigDecimal|否|未学习率
pushTotalCount|Integer|否|今日消息推送数量
pushAddCount|Integer|否|昨日新增减少数量

**请求样例:**
```
  {
        "siteId":8635,
        "projectTotalCount":8392,
        "projectAddCount":475,
        "unStudyPersonCount":4119,
        "unStudyPersonRatio":0.49,
        "pushTotalCount":221,
        "pushAddCount":4565,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|ID
&emsp;&emsp;siteId|Long|站点Id，来源基础服务平台
&emsp;&emsp;projectTotalCount|Integer|题目总数
&emsp;&emsp;projectAddCount|Integer|昨日新增项目数量
&emsp;&emsp;studyPersonCount|Integer|学习人数数量
&emsp;&emsp;studyPersonRatio|BigDecimal|学习率
&emsp;&emsp;unStudyPersonCount|Integer|未学习人数数量
&emsp;&emsp;unStudyPersonRatio|BigDecimal|未学习率
&emsp;&emsp;pushTotalCount|Integer|今日消息推送数量
&emsp;&emsp;pushAddCount|Integer|昨日新增减少数量
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看学习统计

**请求URL:** study/stat/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看学习统计，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/study/stat/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|ID
&emsp;siteId|Long|站点Id，来源基础服务平台
&emsp;projectTotalCount|Integer|题目总数
&emsp;projectAddCount|Integer|昨日新增项目数量
&emsp;studyPersonCount|Integer|学习人数数量
&emsp;studyPersonRatio|BigDecimal|学习率
&emsp;unStudyPersonCount|Integer|未学习人数数量
&emsp;unStudyPersonRatio|BigDecimal|未学习率
&emsp;pushTotalCount|Integer|今日消息推送数量
&emsp;pushAddCount|Integer|昨日新增减少数量
&emsp;year|Integer|年
&emsp;month|Integer|月
&emsp;day|Integer|日
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2502,
            "siteId":8558,
            "projectTotalCount":6034,
            "projectAddCount":7850,
            "studyPersonCount":1142,
            "studyPersonRatio":0.45,
            "unStudyPersonCount":7908,
            "unStudyPersonRatio":0.34,
            "pushTotalCount":5183,
            "pushAddCount":7367,
            "year":9516,
            "month":1816,
            "day":3733,
            "createTime":"2023-05-27",
            "updateUserId":9804,
            "updateTime":"2023-05-27"
        }
}
```

### 保存更新学习统计

**请求URL:** study/stat/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新学习统计：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点Id，来源基础服务平台
projectTotalCount|Integer|否|题目总数
projectAddCount|Integer|否|昨日新增项目数量
studyPersonCount|Integer|否|学习人数数量
studyPersonRatio|BigDecimal|否|学习率
unStudyPersonCount|Integer|是|未学习人数数量
unStudyPersonRatio|BigDecimal|是|未学习率
pushTotalCount|Integer|是|今日消息推送数量
pushAddCount|Integer|是|昨日新增减少数量
year|Integer|是|年
month|Integer|是|月
day|Integer|是|日

**请求样例:**
```
{
    "siteId":7419,
    "projectTotalCount":8626,
    "projectAddCount":8630,
    "studyPersonCount":4403,
    "studyPersonRatio":0.31,
    "unStudyPersonCount":2151,
    "unStudyPersonRatio":0.79,
    "pushTotalCount":6231,
    "pushAddCount":374,
    "year":9041,
    "month":6208,
    "day":3068,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|ID
&emsp;&emsp;siteId|Long|站点Id，来源基础服务平台
&emsp;&emsp;projectTotalCount|Integer|题目总数
&emsp;&emsp;projectAddCount|Integer|昨日新增项目数量
&emsp;&emsp;studyPersonCount|Integer|学习人数数量
&emsp;&emsp;studyPersonRatio|BigDecimal|学习率
&emsp;&emsp;unStudyPersonCount|Integer|未学习人数数量
&emsp;&emsp;unStudyPersonRatio|BigDecimal|未学习率
&emsp;&emsp;pushTotalCount|Integer|今日消息推送数量
&emsp;&emsp;pushAddCount|Integer|昨日新增减少数量
&emsp;&emsp;year|Integer|年
&emsp;&emsp;month|Integer|月
&emsp;&emsp;day|Integer|日
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除学习统计

**请求URL:** study/stat/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除学习统计

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/study/stat/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 用户信息业务

### 查询用户信息业务列表

**请求URL:** user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型(0.系统用户,1.后台管理,2.工作人员)
&emsp;&emsp;deptId|Long|用户所属部门id
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;siteIds|String|所属站点id,多个逗号分隔
&emsp;&emsp;areaCodes|String|所属区域code,多个逗号分隔
&emsp;&emsp;status|Integer|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址
dict|object|字典对象
&emsp;userType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看用户信息业务

**请求URL:** user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|用户ID，主键，自增长
&emsp;loginName|String|登录名
&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;realName|String|用户名
&emsp;mobile|String|用户手机号
&emsp;phone|String|用户联系电话
&emsp;email|String|用户邮箱
&emsp;qq|String|QQ号码
&emsp;userType|Integer|用户类型(0.系统用户,1.后台管理,2.工作人员)
&emsp;deptId|Long|用户所属部门id
&emsp;deptName|String|所属部门名称
&emsp;siteIds|String|所属站点id,多个逗号分隔
&emsp;areaCodes|String|所属区域code,多个逗号分隔
&emsp;status|Integer|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;lastLoginAddress|String|最后一次登录地址
dict|object|字典对象
&emsp;userType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":3533,
            "loginName":"kx601k",
            "loginPwd":"1vf6co",
            "loginLimitAddress":"zf6kai",
            "realName":"cbb7y4",
            "mobile":"5pqrb0",
            "phone":"bicysw",
            "email":"usavoq",
            "qq":"egpkiq",
            "userType":6853,
            "deptId":9482,
            "deptName":"nvadv8",
            "siteIds":"qibghu",
            "areaCodes":"ljln97",
            "status":6170,
            "createTime":"2023-05-27",
            "createUserId":3492,
            "createUserName":"04cm0h",
            "lastLoginTime":"2023-05-27",
            "lastLoginAddress":"8hoi8f"
        }
}
```

### 保存更新用户信息业务

**请求URL:** user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
loginName|String|否|登录名
loginPwd|String|否|登录密码，使用md5双次加密
loginLimitAddress|String|否|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
realName|String|否|用户名
mobile|String|否|用户手机号
phone|String|否|用户联系电话
email|String|否|用户邮箱
qq|String|否|QQ号码
userType|Integer|否|用户类型(0.系统用户,1.后台管理,2.工作人员)
deptId|Long|否|用户所属部门id
deptName|String|否|所属部门名称
siteIds|String|否|所属站点id,多个逗号分隔
areaCodes|String|否|所属区域code,多个逗号分隔
status|Integer|否|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
createUserName|String|否|创建用户名称
lastLoginTime|Date|否|最后一次登录时间
lastLoginAddress|String|否|最后一次登录地址

**请求样例:**
```
{
    "loginName":"8lfeez",
    "loginPwd":"n0k6yn",
    "loginLimitAddress":"h5fbxx",
    "realName":"fhf04f",
    "mobile":"p70r3a",
    "phone":"xsadkt",
    "email":"2kf2zg",
    "qq":"ilf9ve",
    "userType":377,
    "deptId":3120,
    "deptName":"64wcpy",
    "siteIds":"2u1sv5",
    "areaCodes":"kfmhqs",
    "status":3582,
    "createUserName":"c87fcg",
    "lastLoginTime":"2023-05-27",
    "lastLoginAddress":"darmfu"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginName|String|登录名
&emsp;&emsp;loginPwd|String|登录密码，使用md5双次加密
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型(0.系统用户,1.后台管理,2.工作人员)
&emsp;&emsp;deptId|Long|用户所属部门id
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;siteIds|String|所属站点id,多个逗号分隔
&emsp;&emsp;areaCodes|String|所属区域code,多个逗号分隔
&emsp;&emsp;status|Integer|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除用户信息业务

**请求URL:** user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/user/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字典附录
### projectType
字典参数key|字典参数值|其它
:---|:---|:---
0|法律法规|-
1|业务知识|-
2|行业知识|-
3|通用知识|-
### top
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### readRequest
字典参数key|字典参数值|其它
:---|:---|:---
0|学员进入学习项目详情即标记为已读|-
### projectType
字典参数key|字典参数值|其它
:---|:---|:---
0|法律法规|-
1|业务知识|-
2|行业知识|-
3|通用知识|-
### studyStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|未学习|-
1|已学习|-
### top
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### noticeType
字典参数key|字典参数值|其它
:---|:---|:---
0|通知|-
1|公告|-
### viewPersion
字典参数key|字典参数值|其它
:---|:---|:---
0|全部学员|-
1|部分学员|-
### top
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### readRequest
字典参数key|字典参数值|其它
:---|:---|:---
0|学员进入公告详情即标记为已读|-
### noticetType
字典参数key|字典参数值|其它
:---|:---|:---
0|通知|-
1|公告|-
2|行业知识|-
3|通用知识|-
### noticeStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|未读|-
1|已读|-
### top
字典参数key|字典参数值|其它
:---|:---|:---
0|否|-
1|是|-
### deptStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|停用|-
1|启用|-
### userType
字典参数key|字典参数值|其它
:---|:---|:---
0|系统用户|-
1|后台管理|-
2|工作人员|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
0|停用|-
1|正常|-
2|冻结|-
3|销户|-
4|离职|-
